%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define subrel 2

%define language he
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Hebrew
%define name mozilla-thunderbird-%{locale}
%define version 1.5.0.5
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %version
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{thunderbird_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{thunderbird_version}/linux-i686/xpi

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Thunderbird

%prep
%setup -q -c
# put this to our current version
sed -i -e 's/maxVersion>.*</maxVersion>%{version}</g' install.rdf


%build

%install
rm -rf %buildroot
# MySpell files
#mkdir -p %buildroot%{mozillalibdir}/components/myspell/
#cp components/myspell/it.aff %buildroot%{mozillalibdir}/components/myspell/%language.aff
#cp components/myspell/it.dic %buildroot%{mozillalibdir}/components/myspell/%language.dic
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@thunderbird.mozilla.org/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{mozillalibdir}/extensions/langpack-%{locale}@thunderbird.mozilla.org

%changelog
* Fri Aug 18 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.5-0.2
- use some sed magic to set the maxVersion to the current version

* Wed Aug 16 2006 Mandriva Security Team <security@mandriva.com> 1.5.0.5-0.1
- rebuild for thunderbird 1.5.0.5

* Wed Aug 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.5-1mdv2007.0
- New release 1.5.0.5

* Sat Jun 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.4-1mdv2007.0
- New release 1.5.0.4

* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5-1mdk
- Initial package
